- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.ListCustomListsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists/list#body.aspect_1)

**Full name**: projects.locations.instances.customLists.list

Lists all custom list entries in the instance. Use this method to browse the available custom lists. Supports filtering by category or entity identifier.

### HTTP request

`GET https://{endpoint}/v1/{parent}/customLists`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Custom Lists for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of CustomLists to return. |
| `pageToken` | `string` Optional. A page token, received from a previous `customLists.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Filter expression that matches a subset of the CustomLists to show. |
| `orderBy` | `string` Optional. Configures ordering of CustomLists in the response. If not specified, CustomLists are returned in descending order of their create time. |

### Request body

The request body must be empty.

### Response body

Response message to list custom lists.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customLists": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists#CustomList`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customLists[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.customLists#CustomList`)`` Output only. The list of CustomLists, ordered by ModificationTimeUnixTimeInMs ascending by default. |
| `totalSize` | `integer` Output only. The total number of custom lists. |
| `nextPageToken` | `string` Output only. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.customLists.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).